Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(281)

Issue 2881323002: Support Document constructor. (Closed)

Created:
7 months ago by tkent
Modified:
6 months, 3 weeks ago
CC:
blink-reviews, blink-reviews-dom_chromium.org, blink-reviews-w3ctests_chromium.org, chromium-reviews, dglazkov+blink, eae+blinkwatch, rwlbuis, sof
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Support Document constructor. |new Document()| creates a new Document instance. Intent-to-implement-and-ship: https://groups.google.com/a/chromium.org/forum/#!msg/Blink-dev/IxyBdzkSU98/LJ12LwjKAAAJ This CL fixes 168 failures in external/wpt/. WPT changes: * Adds 'origin' check to dom/nodes/Document-constructor.html. * Adds dom/nodes/Document-constructor-svg.svg * Adds dom/nodes/Document-constructor-xml.xml BUG=238234, 643043 Review-Url: https://codereview.chromium.org/2881323002 Cr-Commit-Position: refs/heads/master@{#473931} Committed: https://chromium.googlesource.com/chromium/src/+/ef4b834e59e5d1bcf0e945445ada37f2e5e90b84

Patch Set 1 : . #

Total comments: 10

Patch Set 2 : add svg/xml tests #

Unified diffs Side-by-side diffs Delta from patch set Stats (+189 lines, -377 lines) Patch
M third_party/WebKit/LayoutTests/external/wpt/cssom/interfaces-expected.txt View 1 1 chunk +4 lines, -4 lines 0 comments Download
D third_party/WebKit/LayoutTests/external/wpt/custom-elements/adopted-callback-expected.txt View 1 chunk +0 lines, -61 lines 0 comments Download
D third_party/WebKit/LayoutTests/external/wpt/custom-elements/connected-callbacks-expected.txt View 1 chunk +0 lines, -43 lines 0 comments Download
D third_party/WebKit/LayoutTests/external/wpt/custom-elements/disconnected-callbacks-expected.txt View 1 chunk +0 lines, -43 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/custom-elements/parser/parser-uses-registry-of-owner-document-expected.txt View 1 chunk +1 line, -1 line 0 comments Download
D third_party/WebKit/LayoutTests/external/wpt/custom-elements/upgrading-expected.txt View 1 chunk +0 lines, -28 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/dom/events/Event-dispatch-bubbles-false-expected.txt View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/dom/events/Event-dispatch-bubbles-true-expected.txt View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/dom/interfaces-expected.txt View 1 2 chunks +126 lines, -126 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-constructor.html View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-constructor-expected.txt View 1 chunk +5 lines, -5 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-constructor-svg.svg View 1 3 chunks +9 lines, -15 lines 0 comments Download
A + third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-constructor-xml.xml View 1 3 chunks +11 lines, -14 lines 0 comments Download
D third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-doctype-expected.txt View 1 chunk +0 lines, -5 lines 0 comments Download
D third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Node-childNodes-expected.txt View 1 chunk +0 lines, -8 lines 0 comments Download
M third_party/WebKit/LayoutTests/external/wpt/fullscreen/interfaces-expected.txt View 1 1 chunk +8 lines, -8 lines 0 comments Download
D third_party/WebKit/LayoutTests/external/wpt/html/browsers/origin/relaxing-the-same-origin-restriction/document_domain-expected.txt View 1 chunk +1 line, -1 line 0 comments Download
D third_party/WebKit/LayoutTests/external/wpt/html/browsers/the-window-object/Document-defaultView-expected.txt View 1 chunk +0 lines, -9 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/dom/dom-constructors.html View 2 chunks +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/fast/dom/dom-constructors-expected.txt View 2 chunks +3 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/dom/Document.h View 1 1 chunk +5 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/Document.cpp View 1 1 chunk +8 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/Document.idl View 1 1 chunk +4 lines, -2 lines 0 comments Download
Trybot results:  linux_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   linux_chromium_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   ios-device   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe 

Messages

Total messages: 41 (32 generated)
tkent
dominicc@, would you review this please?
7 months ago (2017-05-16 07:32:55 UTC) #14
dominicc (has gone to gerrit)
Sorry for the slow reply. https://codereview.chromium.org/2881323002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-constructor-expected.txt File third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-constructor-expected.txt (right): https://codereview.chromium.org/2881323002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-constructor-expected.txt#newcode6 third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-constructor-expected.txt:6: FAIL new Document(): URL ...
7 months ago (2017-05-17 05:50:33 UTC) #15
tkent
https://codereview.chromium.org/2881323002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-constructor-expected.txt File third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-constructor-expected.txt (right): https://codereview.chromium.org/2881323002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-constructor-expected.txt#newcode6 third_party/WebKit/LayoutTests/external/wpt/dom/nodes/Document-constructor-expected.txt:6: FAIL new Document(): URL parsing assert_equals: expected "http://example.org/?%C3%A4" but ...
7 months ago (2017-05-17 08:42:18 UTC) #16
tkent
I uploaded new patch. https://codereview.chromium.org/2881323002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/html/browsers/origin/relaxing-the-same-origin-restriction/document_domain-expected.txt File third_party/WebKit/LayoutTests/external/wpt/html/browsers/origin/relaxing-the-same-origin-restriction/document_domain-expected.txt (right): https://codereview.chromium.org/2881323002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/html/browsers/origin/relaxing-the-same-origin-restriction/document_domain-expected.txt#newcode4 third_party/WebKit/LayoutTests/external/wpt/html/browsers/origin/relaxing-the-same-origin-restriction/document_domain-expected.txt:4: FAIL new document assert_equals: new ...
6 months, 4 weeks ago (2017-05-19 06:05:07 UTC) #31
tkent
https://codereview.chromium.org/2881323002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/html/browsers/origin/relaxing-the-same-origin-restriction/document_domain-expected.txt File third_party/WebKit/LayoutTests/external/wpt/html/browsers/origin/relaxing-the-same-origin-restriction/document_domain-expected.txt (right): https://codereview.chromium.org/2881323002/diff/40001/third_party/WebKit/LayoutTests/external/wpt/html/browsers/origin/relaxing-the-same-origin-restriction/document_domain-expected.txt#newcode4 third_party/WebKit/LayoutTests/external/wpt/html/browsers/origin/relaxing-the-same-origin-restriction/document_domain-expected.txt:4: FAIL new document assert_equals: new document has empty domain ...
6 months, 4 weeks ago (2017-05-19 06:28:46 UTC) #32
dominicc (has gone to gerrit)
Sorry again for the slow reply. Very nice comment. LGTM.
6 months, 3 weeks ago (2017-05-23 13:17:18 UTC) #35
dominicc (has gone to gerrit)
lgtm
6 months, 3 weeks ago (2017-05-23 13:17:24 UTC) #37
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2881323002/100001
6 months, 3 weeks ago (2017-05-23 13:17:39 UTC) #38
commit-bot: I haz the power
6 months, 3 weeks ago (2017-05-23 16:24:09 UTC) #41
Message was sent while issue was closed.
Committed patchset #2 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/ef4b834e59e5d1bcf0e945445ada...

Powered by Google App Engine
This is Rietveld 0eb02b776